import PropTypes from 'prop-types';
import React from 'react';
import CheckboxChecked from '@s-ui/react-icons/lib/Checkboxchecked';
import CheckboxUnchecked from '@s-ui/react-icons/lib/Checkboxunchecked';
import cx from 'classnames';

var getCheckboxIcon = function getCheckboxIcon(checked, customIcons) {
  var icon;

  if (checked) {
    icon = customIcons ? customIcons.checked : CheckboxChecked;
  } else {
    icon = customIcons ? customIcons.unchecked : CheckboxUnchecked;
  }

  return icon;
};

var FormCheckbox = function FormCheckbox(_ref) {
  var checked = _ref.checked,
      className = _ref.className,
      errorMessage = _ref.errorMessage,
      label = _ref.label,
      name = _ref.name,
      onChange = _ref.onChange,
      svgIcons = _ref.svgIcons;
  var CheckboxIcon = getCheckboxIcon(checked, svgIcons);
  return React.createElement("div", {
    className: cx('sui-FormCheckbox', className)
  }, React.createElement("label", {
    className: "sui-FormCheckbox-container"
  }, React.createElement("input", {
    checked: checked,
    className: cx('sui-FormCheckbox-input', {
      'is-checked': checked
    }),
    name: name,
    onChange: onChange,
    type: "checkbox"
  }), React.createElement(CheckboxIcon, {
    svgClass: "sui-FormCheckbox-icon"
  }), React.createElement("span", {
    className: "sui-FormCheckbox-label"
  }, label)), errorMessage && React.createElement("div", {
    className: "sui-FormCheckbox-errorMessage"
  }, React.createElement("span", {
    className: "sui-FormCheckbox-errorMessageLabel"
  }, errorMessage)));
};

FormCheckbox.displayName = 'FormCheckbox';
export default FormCheckbox;